Bug 700176 - Several refresh issues in resource portlets
Several refresh issues in resource portlets
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All All
urgent Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq401
  Show dependency treegraph
 
Reported: 2011-04-27 12:34 EDT by Jay Shaughnessy
Modified: 2011-05-23 21:10 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:10:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-04-27 12:34:35 EDT
Several of the resource dash portlets have issues with refresh.  Many do not refresh after a configuration change.  But many do not refresh at all.  Not when clicking the refresh icon/button at all and not when the autoRefresh timer goes off.
Comment 1 Jay Shaughnessy 2011-04-27 12:40:58 EDT
I have this fixed locally and will check in when the repo is unfrozen.

There were a variety of contributing factors. In several cases the resource portlets were not resetting the "loading" flag on initialization which prevented subsequent refreshes from doing any work.  And several were locally caching config data that could go stale.

The workaround is to completely reload the resource detail view (f5) or re-nav, to get updated portlet data.

I'll add a commit message when pushed.
Comment 2 Jay Shaughnessy 2011-04-27 16:00:41 EDT
commit 9fa27ab58dfd8ce9eb94e346ada11a96620c2e96
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Tue Apr 26 17:48:07 2011 -0400
Comment 3 John Mazzitelli 2011-05-10 12:33:21 EDT
cherry picked over to release-4.0.0 branch as commit: 4f170f279de765614c4a9570630bd3640696e8f3
Comment 4 Mike Foley 2011-05-12 11:18:40 EDT
seems fine.
Comment 5 Corey Welton 2011-05-23 21:10:32 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:10:46 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.